
var fs = require('fs'),
	extend = require('extend'),
	ObjectDump = require('objectdump');

module.exports = function(configs, target){

	if (configs && configs.length > 0){
		var contexts = [],
		requirejs = {
			config : function(context){
				contexts.push(context);
			}
		},
		finalContext;
	
		configs.map(function(filename){
			return fs.readFileSync(filename).toString();
		})
		.forEach(function(content){
			eval(content);
		});

		finalContext = contexts.reduce(function(memo, val){
				return extend(true, memo, val);
		}, {});

		var fileoutput = 'requirejs.config(\n<%= context %>\n);'
						 .replace('<%= context %>', (new ObjectDump(finalContext).toString()));

		fs.writeFileSync(target, fileoutput);
	}else{
		console.info("Nothing to merge");
	}

	

}