#! /usr/bin/env node


var program = require('commander'),
	merge = require('./requirejs-config-merge'),
	output = 'require.conf.js',
	config = function(val){
		return val.split(',');
	}

program
  .version('0.0.1')
  .option('-c, --configs <items>', 'Provide paths to configs ', config)
  .option('-o, --output [path]', 'Provide path for merged require config. Default is \''+output+'\'', output)
  .parse(process.argv);

if (program.configs && program.configs.length > 0){

	console.log('Configs to merge:  %j', program.configs);

	console.log('Merged output %s', program.output);

	merge(program.configs, program.output);

}else{
	console.log('Can\'t find configs to merge. Provide \'--config\' option.');
}